summaryrefslogtreecommitdiff
path: root/.local/bin/mc-pass
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/mc-pass')
-rwxr-xr-x.local/bin/mc-pass20
1 files changed, 12 insertions, 8 deletions
diff --git a/.local/bin/mc-pass b/.local/bin/mc-pass
index 168e62e..83b701b 100755
--- a/.local/bin/mc-pass
+++ b/.local/bin/mc-pass
@@ -1,14 +1,18 @@
-#!/bin/sh
+#!/usr/local/bin/andy
-export NOTIFY_LONG='mc pass'
-export NOTIFY_SHORT="${0##*/}"
+set -e NOTIFY_LONG 'mc pass'
+set -e NOTIFY_SHORT `basename $args[0]
-trap '
- wl-copy </dev/null
- notify "Password Cleared" "The password was cleared from the clipboard."
-' INT EXIT TERM
+for sig in int exit term {
+ func sig$sig {
+ wl-copy <_
+ notify 'Password Cleared' 'The password was cleared from the clipboard.'
+ }
+}
vlt raw Email thomasvoss@live.com | wl-copy
-notify 'Password Copied' \
+notify (
+ 'Password Copied'
'The password will be cleared from the clipboard in 10 seconds.'
+)
sleep 10